Bandwidth Control (Template)
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getBandwidthCtrlTemplate | GET | Get bandwidth control template |
| modifyBandwidthCtrlTemplate | PATCH | Modify bandwidth control template |
| getGridBandwidthCtrlRuleTemplate | GET | Get bandwidth control template rule list |
| modifyBandwidthCtrlRuleIndexTemplate | PATCH | Modify bandwidth control template rule index |
| createBandwidthCtrlRuleTemplate | POST | Create bandwidth control template rule |
| deleteBandwidthCtrlRuleTemplate | DELETE | Delete bandwidth control template rule |
| modifyBandwidthCtrlRuleTemplate | PATCH | Modify bandwidth control template rule |
getBandwidthCtrlTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control
Get bandwidth control template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getBandwidthCtrlTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get bandwidth control template.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyBandwidthCtrlTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control
Modify bandwidth control template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BandwidthControl
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Enable the bandwidth control. |
thresholdControlEnable | boolean | no | Enable the threshold control of the bandwidth control. |
thresholdValue | integer | no | Threshold value should be within the range of 1–100. Threshold value must be entered when threshold control is enable. |
bandwidthPortSettings | array<BandwidthPortSetting> | no | Bandwidth port settings of the bandwidth control. |
// omada_call_operation
{
"operationId": "modifyBandwidthCtrlTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify bandwidth control template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getGridBandwidthCtrlRuleTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules
Get bandwidth control template rule list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridBandwidthCtrlRuleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get bandwidth control template rule list.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyBandwidthCtrlRuleIndexTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules
Modify bandwidth control template rule index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema TransmissionDragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyBandwidthCtrlRuleIndexTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify bandwidth control template rule index.
The interface requires one of the permissions:
Global Site Template Manager Modify
createBandwidthCtrlRuleTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules
Create bandwidth control template rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema BandwidthControlRule
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the bandwidth control rule. |
name | string | yes | Name should contain 1 to 64 characters. |
index | integer | no | Index of the bandwidth control rule. |
status | boolean | yes | Status of the bandwidth control rule. |
sourceType | integer | no | Source type should be a value as follows: 0: network; 1: IP group. |
sourceIds | array<string> | yes | Source IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface. |
wanPortIds | array<string> | yes | WAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface. |
upstreamBandwidth | integer | yes | Upstream bandwidth should be within the range of 1–9999999. |
upstreamBandwidthUnit | integer | yes | Upstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
downstreamBandwidth | integer | yes | Downstream bandwidth should be within the range of 1–9999999. |
downstreamBandwidthUnit | integer | yes | Downstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
mode | integer | yes | Mode should be a value as follows: 0: share; 1: individual. |
// omada_call_operation
{
"operationId": "createBandwidthCtrlRuleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create bandwidth control template rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteBandwidthCtrlRuleTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules/{ruleId}
Delete bandwidth control template rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
ruleId | path | string | yes | Bandwidth control template rule ID |
// omada_call_operation
{
"operationId": "deleteBandwidthCtrlRuleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ruleId": "<ruleId>"
}
}Details, permissions and error codes
Delete bandwidth control template rule.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyBandwidthCtrlRuleTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/bandwidth-control/rules/{ruleId}
Modify bandwidth control template rule
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
ruleId | path | string | yes | Bandwidth control template rule ID |
Request body — application/json (required) — schema BandwidthControlRule
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | ID of the bandwidth control rule. |
name | string | yes | Name should contain 1 to 64 characters. |
index | integer | no | Index of the bandwidth control rule. |
status | boolean | yes | Status of the bandwidth control rule. |
sourceType | integer | no | Source type should be a value as follows: 0: network; 1: IP group. |
sourceIds | array<string> | yes | Source IDs of the bandwidth control rule. Network can be created using 'Create LAN network' interface, and network ID can be obtained from 'Get LAN network list' interface. IP group can be created using 'Create a new group profile' interface, and IP group ID can be obtained from 'Get group profile list' interface. |
wanPortIds | array<string> | yes | WAN port IDs of the bandwidth control rule.WAN port ID can be obtained from 'Get internet basic info' interface. |
upstreamBandwidth | integer | yes | Upstream bandwidth should be within the range of 1–9999999. |
upstreamBandwidthUnit | integer | yes | Upstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
downstreamBandwidth | integer | yes | Downstream bandwidth should be within the range of 1–9999999. |
downstreamBandwidthUnit | integer | yes | Downstream bandwidth unit should be a value as follows: 1: Kbps, 2: Mbps. |
mode | integer | yes | Mode should be a value as follows: 0: share; 1: individual. |
// omada_call_operation
{
"operationId": "modifyBandwidthCtrlRuleTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ruleId": "<ruleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify bandwidth control template rule.
The interface requires one of the permissions:
Global Site Template Manager Modify